@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    font-family: "Poppins",sans-serif;
}
:root{
   --bg-color : #081b29;
   --main-color : #00abf0;
   --second-text-color : #555;
   --white-color : #fff;
   --text-color :#333;
   --cover-color :linear-gradient(45deg,#00abf0,#006e9a);
   --pages-color :linear-gradient(90deg,#fff,#ddd);
   --border : 125rem solid #00abf0;
   --box-shadow : 0 0 .6rem rgba(0,0,0,0.2);
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: var(--bg-color);
    color: var(--text-color);
    overflow: hidden;
    overflow: auto;
}
.wrapper{
    position: relative;
    width: 66rem;
    height: 45rem;
    padding: 2rem;
    perspective: 250rem;
    animation: show-animate 2s forwards;
}
@keyframes show-animate{
    0%,30% {
        opacity: 0;
        transform: rotate(-20deg);
    }
    100%{
        opacity: 1;
        transform: rotate(0deg);
    }
}
.cover{
    position: absolute;
    width: 50%;
    top: 0;
    left: 0;
    height: 100%;
    background: var(--cover-color);
    box-shadow: var(--box-shadow);
    border-top-left-radius: .6rem;
    border-bottom-left-radius: .6rem;
    transform-origin: right;
}
.cover.cover-left{
    z-index: -1;
}
.cover.cover-right{
    z-index: 100;
     transition: transform 1s cubic-bezier(.645,.045, .355 ,1);
  
}
.cover.cover-right.turn{
    transform: rotateY(180deg);
}
.book{
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    perspective: 250rem;
}
.book .book-page{
    width: 50%;
    height: 100%;
    background: var(--pages-color);
    position: absolute;
    display: flex;
    box-shadow: var(--box-shadow);
    padding: 2rem;
}
.book-page.page-left{
    box-shadow: -.6rem .6rem .6rem rgba(0, 0, 0, .2);
}
.profile-page{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.profile-page img{
    padding: 4px;
    max-width: 180px;
    border-radius: 50%;
    border: .25rem solid var(--main-color);
    margin-bottom: .8rem;
}
.profile-page h1{
    font-size: 2.7rem;
    line-height: 1;
}
.profile-page h3{
    color: var(--main-color);
    font-size: 1.5rem;
}
.profile-page .social-media a{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 2.5rem;
  height: 2.5rem;
  background: transparent;
  border:var(--border);
  border-width: .1rem;
  border-radius: 50%;
  font-size: 1.3rem;
  margin: .2rem;
  color: var(--main-color);
  transform: .5s;
}
.profile-page .social-media a:hover{
    background: var(--main-color);
    color: var(--white-color);
}
.profile-page p{
    text-align:justify;
}
.profile-page .btn-box{
  margin-top: 1.2rem;
}
.btn{
  display: inline-flex;
  background: var(--main-color);
  width: 9.5rem;
  height: 3rem;
  justify-content: center;
  align-items: center;
  color: var(--white-color);
  font-size: 1rem;
  border-radius: .3rem;
  border: var(--border);
  border-width: 2px;
  font-weight: 500; 
  margin:0 1rem; 
  transition: .5s;
}
.btn:hover{
    color: var(--main-color);
    background: transparent;
}
.btn-box .btn:nth-child(2){
    background: transparent;
    color: var(--main-color);
}
.btn-box .btn:nth-child(2):hover{
   color: var(--white-color);
   background: var(--main-color);
}


/****************************************************** page-2 *********************************************/


.book-page.page-right{
    right: 0;
    position: absolute;
    transform-style: preserve-3d;
    transform-origin: left;
    transition: transform 1s cubic-bezier(.645,.045, .355 ,1);
}
.book-page.page-right.turn{
    transform: rotateY(-180deg);
}
.book-page .page-front,
.book-page .page-back{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--pages-color);
    padding: 1.5rem 2rem;
}
.book-page .page-front{
    transform: rotateY(0deg) translateZ(1px);
}
.book-page .page-back{
    transform: rotateY(180deg) translateZ(1px);
}
.title{
    text-align: center;
    margin-bottom: 1rem;
}
.workeduc-box{
    border-left:  var(--border);
    border-width: 2px;
}
.workeduc-box .workeduc-content{
    position: relative;
    padding-left: 1.6rem;
    margin-bottom: 1rem;
    margin-top: 1rem;
}
.workeduc-box .workeduc-content::before{
    content: "";
    position: absolute;
    top: 0;
    left: -0.65rem;
    width: 1.2rem;
    height: 1.2rem;
    background: var(--main-color);
    border-radius: 50%;
}
.workeduc-content .year{
    color: var(--main-color);
}
.workeduc-content .year i{
    margin-right: .6rem;
}
.number-page{
    position: absolute;
    bottom: 1.2rem;
    left: 50%;
    transform: translateX(-50%);
}
.nextprev-btn{
    position: absolute;
    right: 1.5rem;
    font-size: 2rem;
    bottom: .9rem;
    height: 2rem;
    width: 2rem;
    cursor: pointer;
    color: var(--second-text-color);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
}
.nextprev-btn:hover{
    color: var(--main-color);
}
.nextprev-btn.back{
    left: 1.5rem;
}


/**************************************** My Services *******************************************/


.service-box{
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}
.service-box .service-content{
    flex: 1 1 10rem;
    border: var(--border);
    border-width: 2px;
    border-radius: .5rem;
    padding: .8rem .3rem .5rem .8rem;
    text-align: center;
    transition: .3s ease-in;
}
.service-box .service-content:hover{
    box-shadow: var(--box-shadow);
}
.service-box .service-content i{
    color: var(--main-color);
    font-size: 2.5rem;
}
.service-content h3{
    font-size: 1.1rem;
    margin-bottom: 1rem;
}
.service-content p{
    margin: .2rem 0 .8rem;
}
.service-content .btn{
    width: 8rem;
    height: 2.5rem;
}



/**************************************** Skill Boxes *******************************************/




.skill-box{
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}
.skill-box .skill-content{
    flex: 1 1 20rem;
}
.skill-content h3{
    font-size: 1.3rem;
    line-height: 1;
    margin-bottom: .6rem;
}
.skill-content .content{
    display: flex;
    flex-wrap: wrap;
    gap: .9rem;
}
.skill-content .content span{
    display: inline-flex;
    flex-direction: column;
    width: 8rem;
    height: 6.3rem;
    justify-content: center;
    align-items: center;
    border: var(--border);
    border-width: 2px;
    border-radius: .3rem;
    font-weight: 600;
    transition: .3s;
}
.skill-content .content span:hover{
    box-shadow: var(--box-shadow);
}
.skill-content .content span i{
    font-size: 3rem; 
}


/***************** page-5 ********************************/


.portfolio-box .img-box{
    display: flex;
    width: 100%;
    height: 15rem;
    border-radius: .5rem;
    border: var(--border);
    border-width: 2px;
    overflow: hidden;
}
.portfolio-box .img-box img{
    width: 100%;
    object-fit:fill;
    transition: .5s;
}
.portfolio-box .img-box:hover img{
    transform: scale(1.1);
}
.portfolio-box .info-box{
    margin: 1rem 0 1.5rem;
}
.portfolio-box .info-box .info-title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}
.portfolio-box .info-box .info-title h3{
    font-size: 1.3rem;
}
.portfolio-box .info-box .info-title a{
    color: var(--main-color);
    align-items: center;
    display: flex;
}
.portfolio-box .info-box .info-title a i{
    margin-left: .3rem;
}
.portfolio-box .info-box p:nth-of-type(1){
    font-weight: 600;
}
.portfolio-box .btn-box{
    display: flex;
    justify-content: center;
}
.portfolio-box .btn-box .btn{
    margin: 0 1.15rem;
}


/************************************** page-6 contact *********************************/


.contact-box .field{
    width: 100%;
    background: transparent;
    padding: .8rem;
    border: var(--border);
    border-width: 2px;
    font-size: 1rem;
    border-radius: .3rem;   
    color: var(--text-color);
    margin-bottom: 1.5rem;
}
.contact-box{
    text-align: center;
}
.contact-box .field::placeholder{
    color: var(--text-color);
}
.contact-box textarea{
    resize: none;
    height: 15rem;
}
.contact-box .btn{
    cursor: pointer;
}
.back-profile{
    right: 2rem;
    position: absolute;
    width: 2rem;
    bottom: 1.2rem;
    height: 2rem;
    background: transparent;
    border: var(--border);
    border-width: 2px;
    border-radius: .3rem;
    font-size: 1.1rem;
    color: var(--main-color);
    display: inline-flex;
    transition: .5s;
    align-items: center;
    justify-content: center;
}
.back-profile:hover{
    background: var(--main-color);
    color: var(--white-color);
}
.back-profile p {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%) scale(.5);
    font-size: 1rem;
    opacity: 0;
    color: var(--main-color);
    transition: .5s;
}
.back-profile:hover p{
    opacity: 1;
    transform: translateX(-50%) scale(1);
    top: -1.8rem;
}














